Subject: Re: [GIT PULL nf-next-2.6] IPVS build fixes and clean-ups

From: Simon Horman <[email-masked]>
Date: Tue, 1 Feb 2011 15:06:37 +1100

On Mon, Jan 31, 2011 at 04:50:09PM -0800, Randy Dunlap wrote:
> On Tue,  1 Feb 2011 11:14:11 +1100 Simon Horman wrote:
> 
> > Hi,
> > 
> > This short patch series addresses two linux-next build problems
> > raised by Randy Dunlap:
> > 
> > * net/netfilter/ipvs/ip_vs_core.c:1891: warning: format '%lu' expects type 'long unsigned int', but argument 2 has type 'unsigned int'
> > * ERROR: "unregister_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko]
> >   ERROR: "register_net_sysctl_table" [net/netfilter/ipvs/ip_vs.ko] undefined!
> > 
> > The remainder of the changset is cleanups that I noticed along the way.
> 
> These 4 patches build successfully for me.
> However, I do see these warnings (sorry I missed them earlier):
> 
> WARNING: net/netfilter/ipvs/ip_vs.o(.init.text+0x161): Section mismatch in reference from the function init_module() to the function .exit.text:ip_vs_sync_cleanup()
> WARNING: net/netfilter/ipvs/ip_vs.o(.init.text+0x161): Section mismatch in reference from the function init_module() to the function .exit.text:ip_vs_sync_cleanup()

Thanks, I'll look into that. I will be travelling for a good portion of the
next day and a bit so I apologise in advance if that delays my next patch.